org.jfree.data.general

## Class DefaultKeyedValuesDataset

- java.lang.Object
- - org.jfree.data.general.AbstractDataset
  - - org.jfree.data.general.DefaultPieDataset
    - - org.jfree.data.general.DefaultKeyedValuesDataset

All Implemented Interfaces:
  java.io.ObjectInputValidation, java.io.Serializable, java.lang.Cloneable, Dataset, KeyedValuesDataset, PieDataset, KeyedValues, Values, org.jfree.util.PublicCloneable

    public class DefaultKeyedValuesDataset
    extends DefaultPieDataset
    implements KeyedValuesDataset

A default implementation of the `KeyedValuesDataset` interface. This is an alias for `DefaultPieDataset`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DefaultKeyedValuesDataset()`

### Method Summary

### Methods inherited from class org.jfree.data.general.DefaultPieDataset

`clear, clone, equals, getIndex, getItemCount, getKey, getKeys, getValue, getValue, hashCode, insertValue, insertValue, remove, setValue, setValue, sortByKeys, sortByValues`

### Methods inherited from class org.jfree.data.general.AbstractDataset

`addChangeListener, fireDatasetChanged, getGroup, hasListener, notifyListeners, removeChangeListener, setGroup, validateObject`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.jfree.data.KeyedValues

`getIndex, getKey, getKeys, getValue`

### Methods inherited from interface org.jfree.data.Values

`getItemCount, getValue`

### Methods inherited from interface org.jfree.data.general.Dataset

`addChangeListener, getGroup, removeChangeListener, setGroup`

### Constructor Detail

#### DefaultKeyedValuesDataset

    public DefaultKeyedValuesDataset()